Hello!

Did you know that logged in users can see a lot more content?

Grasshopper-Tekla Live Link

Last updated October 11, 2018 by Tekla Extensions - General Design tekla.extensions-generaldesign@trimble.com

Software version: 
Not version-specific
Environment: 
Not environment-specific

Grasshopper-Tekla Live Link

Introduction

The Grasshopper-Tekla live link enables algorithmic modelling for Tekla Structures using Rhino/Grasshopper. The link is a set of Grasshopper components that can create and interact with objects live in Tekla Structures.

Demo Videos

Building Frame

 Double-Curved Roof

Concrete Bridge Deck Part 1 (Tekla Structures 2017 or newer)

Concrete Bridge Deck Part 2 (Tekla Structures 2017 or newer)

 

Prerequisites

You need to have Rhino (download) and Tekla Structures installed on the same machine.

Grasshopper is included in the Rhino 6 install. If you're using Rhino 5, you need to install Grasshopper separately (download).

You can try out the full version of Rhino for free for 90 days. The Grasshopper add-on is free of charge.

 

Setup

If you've already installed any version of the link and are doing an update or re-install, see the update section further down.

  1. Download the zip with the required files (GrasshopperTeklaLink.gha, GrasshopperTeklaLinkExample.gh) from Tekla Warehouse.

    • Make sure you download a package targeting the (installed) Tekla Structures version you'd like to work with

  2. Launch Tekla Structures and create a new model.

  3. Launch Grasshopper and drag the GrasshopperTeklaLink.gha onto the canvas to install the components. A new component tab labeled Tekla [version] should appear, as well as a menu labeled Tekla in the menu bar.

    If the Tekla tab doesn’t show up, the component file might be blocked as it’s downloaded from the internet. To unblock the file,
    • In Grasshopper, click File > Special Folders > Components Folder
    • Right-click GrasshopperTeklaLink.gha and click Properties
    • Under the General tab, click on the Unblock button, and click OK. (If you don’t see an Unblock button, the file is not blocked.)
    • Restart Rhino/Grasshopper. The Tekla tab should now be visible in Grasshopper.

       

  4. Open the TeklaGrasshopperLinkExample.gh file in Grasshopper.

    • The solution should run and generate some example objects in the Tekla model
    • If some objects aren’t showing up, you probably need to expand the work areacertain portion of the model that is currently active for working on in a view

      Tekla Structures indicates the work area using dashed lines. Since objects outside the work area exist but are not visible the user can set a certain sized work area so that the views of the model are simpler and quickly updated, for example.

      and/or view depththickness of a slice of the model defined starting from, and perpendicular to, the view plane

 

To update, re-install or install components for another Tekla Structures version:

  1. In Grasshopper, click File > Special Folders > Components Folder

  2. Close Grasshopper and Rhino, and replace the GrasshopperTeklaLink.gha in the Components Folder with the new file

  3. Launch Grasshopper again

    • If the Tekla tab doesn't show up, you need to unblock it as described in the previous section.

If the new file targets another Tekla Structures version, the components (including any already inserted ones) will now interact with the new Tekla version instead.

 

The Grasshopper Components

After installation, the components are visible on the Tekla component tab in Grasshopper. There's also a Tekla menu added to the Grasshopper top menu bar, with commands to enable/disable all Tekla components, recompute all Tekla components, delete Tekla objects etc.

 

 

Important general notes about the components

  • Make sure you have a Tekla model open before opening Grasshopper or inserting any component. The components generate, modify and interact with objects live in Tekla Structures.

  • The link uses the units of the currently open Rhino Document for the geometrical inputs.

  • Select a component in Grasshopper to highlight the associated objects in Tekla Structures.

  • Double-click the icon of a component to re-run the component manually. This operation also re-generates any deleted members in Tekla Structures.

  • If you right-click an (object creating) component icon, there’s an option called Run in background which is set to true by default. This mode means the Tekla model is updated in the background while the Grasshopper UI remains responsive. When a solution is run in this mode, components that are currently processing objects in Tekla are marked with a spinner and the objets they generate will become available at the component outputs once they are ready.

  • To cut the link between a Grasshopper component and the Tekla objects it has generated, right-click the component and select Bake to Tekla. This will leave the object as-is in Tekla, and a copy of the object will be generated upon further modifications of the component input.

 

Frequently Asked Questions

  • See this FAQ on the Tekla extension forum for answers to common issues (requires login).

 

Param Components

These components can be used to reference Tekla objects into Grasshopper.

  •  Point
    Reference a point from Tekla into Grasshopper.

  •  Beam
    Reference a beam from Tekla into Grasshopper.

  •  Plate(1) part that represents a flat structure

    (1) In some contexts, for example in analysis, the term plate object may be used to refer to plates.

    (2) plate that represents a steel structure

    (2) Plate is mainly used as a connection piece or as a floor plate.


    Reference a plate from Tekla into Grasshopper.

  •  Item
    Reference an item from Tekla into Grasshopper.

  •  Reinforcement
    Reference reinforcement from Tekla into Grasshopper.

  •  Component
    Reference a component from Tekla into Grasshopper.

  •  Model Object
    Reference any model objectobject that is represented in a model

    A model object is either created in a model or imported into it.

    from Tekla into Grasshopper.
     

Right-click the component to open the context menu where you can set one or multiple objects or points in Tekla Structures. Grasshopper will be minimized and Tekla Structures will ask you to pick objects.

If the objects that are connected to a component have been moved in the model, you can double-click the component to update the state of the object in Grasshopper. The component will also update its output anytime Rhino/Grasshopper is restarted.

The components remember the set input between Grasshopper sessions.
 

Steel Components

  •  Beam
    Creates a steel beam along the provided curve or line.

  •  Beam 2Pt
    Creates a steel beam using the provided start and end point.

  •  Column
    Creates a steel column along the provided line. If the input is not a straight line in the Z direction, the resulting Tekla object is a beam.

  •  Plate
    Creates a steel plate outlined by the provided geometry. The boundary can be a point list, a simple surface, a rectangle, a circle, a polyline or a general curve.

  •  Bent Plate (Tekla Structures 2017 or newer)
    Creates a bent platepart that is created from contour plates, or beams whose profile is a plate

    Curved beams, spiral beams, or deformed parts cannot be used for creating a bent plate.

    component object that represents an angle that is bent from a plate and that connects parts

    outlined by the provided list of boundaries and with the provided radius(es). The input needs to be a minimum of two boundaries to connect.

  •  Item (Tekla Structures 2017 SP5, 2017i SP1 or newer)
    Creates a steel item based on the provided brep, meshreinforcement that represents a mesh of steel bars in two perpendicular directions

    In Tekla Structures, the reinforcement mesh bars in one direction are called main bars and reinforcement mesh bars perpendicular to them are called crossing bars.

    or surface geometry. Alternatively you can specify a profile (shape) that will be inserted to the Tekla model. The optional Line input can be used to specify the origin and direction of the item.

    When creating a Tekla item from a Rhino brep, the brep is meshed/triangulated internally by Rhino prior to being transfered. If you right-click the component icon/name, you can set the meshing parameters to Minimal, Coarse or Smooth. Default is Coarse. Minimal means faster model updates wherease Smooth means finer details but slower updates. If you're having trouble creating Items from Rhino breps or meshes, please see the FAQ. Note that brep/mesh conversion works better if you use Rhino 6.

    If you right-click the component icon/name, there's an option "Show internal lines in Tekla" which can be used to show the mesh of the item in Tekla.

 

Concrete Components

  •  Beam
    Creates a concrete beam along the provided curve or line.

  •  Beam 2Pt
    Creates a concrete beam using the provided start and end point.

  •  Column
    Creates a concrete column along the provided line. If the input is not a straight line in the Z direction, the resulting Tekla object is a beam.

  •  Panel
    Creates a concrete panel along the provided curve or line.

  •  Slab
    Creates a concrete slabplate that represents a concrete structure

    In Tekla Structures, a slab is created by picking three or more points.

    Slab may be part of a floor, for example.

    outlined by the provided geometry. The boundary can be a point list, a simple surface, a rectangle, a circle, a polyline or a general curve.

  •  Pad Footingfooting that supports a single point of contact

    Pad footing usually supports one column.


    Creates a concrete pad footing along the provided curve or line.

  •  Strip Footingfooting that supports several points of contact or a region of points of contact

    Strip footing supports a length of wall or a line of closely spaced columns, for example.

    In Tekla Structures, strip footing has a polygon shape that the user defines by picking points.


    Creates a concrete strip footing along the provided curve or line.

  •  Item (Tekla Structures 2017SP5, 2017i SP1 or newer)
    Creates a concrete item based on the provided brep, mesh or surface geometry. Alternatively you can specify a profile (shape) that will be inserted to the Tekla model. The optional Line input can be used to specify the origin and direction of the item.

    When creating a Tekla item from a Rhino brep, the brep is meshed/triangulated internally by Rhino prior to being transfered. If you right-click the component icon/name, you can set the meshing parameters to Minimal, Coarse or Smooth. Default is Coarse. Minimal means faster model updates wherease Smooth means finer details but slower updates. If you're having trouble creating Items from Rhino breps or meshes, please see the FAQ. Note that brep/mesh conversion works better if you use Rhino 6.

    If you right-click the component icon/name, there's an option "Show internal lines in Tekla" which can be used to show the mesh of the item in Tekla.

  •  Extrude Beams
    Creates beams between the points in the provided point list, so that the end point of one beam is the start point of the next one. Fittings are automatically applied between each beam pair. If the start and end points are the same, a fittingadjustment of a part end

    will be added there as well.
     

  • In addition to the geometrical inputs, each part component above has the following optional inputs:

    • Profile: The part profile as a string. You can use the Profile Catalogcatalog that displays profiles and information on the profiles

      In addition to the available profiles in the respective Tekla Structures environment, the user can add fixed or parametric user-defined profiles to the profile catalog. It is also possible to import profiles to the profile catalog.

      component to select a profile from the Tekla Profile cataloguser interface for displaying or modifying information in categorized lists

      For example, profile catalog and shape catalog are catalogs.

      .

    • Attributes: The part attributes. Use the Part Attributes component to construct the input object.

    • Position: The part positionposition number that is assigned to a part

      . Use the Position component to construct the input object.

    • Numberingprocess of assigning position numbers to parts, cast units, assemblies, or reinforcement

      In Tekla Structures, the position numbers assigned in the numbering are shown in marks and templates, for example.

      : The part numbering attributes. Use the Numbering component to construct the input object.

    • Deformingpart property that changes the geometry of the part

      (available for Beam type objects): The deforming and end offsetpart property that is used to move the ends of a part, relative to the part’s reference line

      attributes. Use the Deforming component to construct the input object.
       

  •  Rebar
    Creates a single bar.

    This component has a right-click option "Remove while inputs are being modified". This mode means the inserted bars in Tekla are removed while part and point inputs are being modified, to allow for quicker updates of the model. Note: In this mode, the bars will get new GUIDs after each input modification.

    • Part: The tekla part to reinforce.

    • Shape: The shape of the bar.

    • Atrtibutes: The rebar attributes. Use the Rebar Attributes component to construct the input object. Alternatively you can connect the Reinforcement Catalog component to this input directly, or even provide just a size as a string or a number.

    • Hook: The hook attributes for the bar. Use the Hook component to construct the input object, or alternatively the Hooks component if you want to use different hooks for the bar ends.

    • Cover: The cover thicknesses and offsets for the bar. Use the Cover component to construct the input object.

  •  Rebar Group
    Creates a bar group in a part.

    The inputs are the same as for the Single bar component, with these notes and additions:

    • Shape: The shape of the bars. To create a tapered bar group, remove the grafting from the shape input and provide multiple shapes as a (non-grafted) list.

    • Range: The range of the bar group. The input is usually a line.

    • Group: The spacing and exclude type attributes. Use the Group component to construct the input object.

 

Edit Components

  •  Plane Cut
    Cuts a part with a plane.

  •  Part Cutcut that is defined by a cutting part


    Cuts a part with another part. Optionally the cutting partbuilding object that creates a part-shaped hollow

    can be deleted after the cut has been made.

  •  Fitting
    Fits the end of the part to a plane.
     

  •  Component
    Creates a connection, seam, detail or plugin.

    This component has a right-click option "Remove while inputs are being modified". This mode means the inserted components in Tekla are removed while part and point inputs are being modified, to allow for quicker updates of the model. Note: In this mode, the components will get new GUIDs after each input modification. This option is checked by default on newly inserted components.

    • Name: Use the Component Catalogcatalog that contains all system components and custom components, and the macros and applications

      The term component catalog is used in Tekla Structures until version 21.1.

      component to select a component type from the model.

    • Attribute File: Enter the name of the attribute preset

    • Attributes: Set individual component attributes. Syntax example:

          MainBarGrade "Undefined"
          nSideBars 4
          StirrupCover -240.0

      The standard way to find out the names of the component attributes is to fill in values that you recognize in the component dialog in Tekla Structures, save a preset file and then find the attribute names from that file by looking for your values. Alternatively you can use the extension Component Variable Importer to list the attributes.

    • Main Part(1) part that exists in a building object and that determines the position number for the assembly or cast unit and the direction of assembly or cast unit drawings

      (1) Main part can be an assembly main part or a cast unit main part.

      (2) input part that the user selects first when creating a component

      (2) Connections and details always have a component main part.

      , Secondary Parts and Points: Connect the required inputs as you would pick the input in the model (e.g. for a Detail, connect a main part and a point). Some components (plugins) might have a more complicated input sequence, in that case you need to use the Component Input component to construct your input.

    • Component Input: Connect the output of a Component Input component to handle complicated input sequences for plugins. If you use this option, the Main Part, Secondary Part(1) part that exists in a building object and that is connected to the main part

      (1) Secondary part can be an assembly secondary part or a cast unit secondary part.

      (2) input part that the user selects after selecting the component main part when creating a component

      (2) A component can have none, one or more component secondary parts.

      and Points inputs will be ignored.

  • Gridmodeling aid that represents a three-dimensional complex of horizontal and vertical planes

    In Tekla Structures, grids are used as an aid in locating objects in a model. The grid is shown on the view plane by dash-and-dot lines. It is also possible to show grids and grid line labels in drawings, and to modify grid properties in the drawings.

    It is possible to have more than one grid in a model. For example, a large-scale grid for the entire structure, and smaller grids for some detailed sections.


    Creates a standard grid with gridlines through each of the input points in the list. Duplicated values on any axis are filtered out. To create several grids, remove the flattening of the input and provide a list of lists of points.

  •  Point
    Inserts a point in Tekla Structures. The point type can either be ControlPoint (a Tekla control point object) or BeamPoint (a Beam-type object that has higher visibility from a distance - can be used if you don't need to snap to the point). When the component is deleted, the points are removed.

 

Attributes Components

  •  Profile Catalog
    Outputs a profile string. Double-click the component icon to open a dialog to select the profile from the Tekla Profile catalog.

  •  Material Catalog
    Outputs a material string. Double-click the component icon to open a dialog to select the material from the Tekla Material catalogcatalog that displays material grades and information on them

    By default, the material catalog contains standard, environment-specific materials. The user can add, modify, and delete material grades.

    .

  •  Component Catalog
    Outputs a string representing a Tekla component. Double-click the component icon to open a dialog to select the component from the Tekla Component catalog.

  •  Shape Catalogcatalog that displays a list of predefined item shapes

    The shapes are modeled using software other than Tekla Structures, for example SketchUp.


    Outputs a shape string that can be used as a profile for the Item components. Double-click the component icon to open a dialog to select the shape from the Tekla Shape catalog. Note that a shape is not required if you are generating the item directly from geometry input.

  •  Reinforcement Catalog
    Outputs a string reprecenting a rebar size and grade that can be used as size and grade input for the Rebar components (Attributes input) or for the Rebar Attributes component (Size or Grade input). Double-click the component icon to open a dialog to select the bar size and grade from the Tekla Reinforcement catalog.
     

  •  Part Attributes

    • Set the Name, Profile, Material, Finish, Classpart property that groups parts according to identifiers given by the user

      The identifiers of classes are usually numbers. Classes can be used for defining the color of parts in the model, for example. Class does not influence the numbering of model objects.

      , Phase and User-defined attributes of the part.

    • You can set the part Profile either in this component or directly in the create part component. If the profile is set in both locations, the create part component’s profile is used.

    • User-defined attributes are input as a text string. Syntax example:

          MyStringUDA   "my user text"
          MyIntegerUDA   2
          MyFloatUDA   12.5

      Attributes that are separated with a newline like above (or alternatively with a semicolon) will be assigned to the same part. You can put attributes in a list instead to sequentially assign them to different parts. Note that if you're using a Panel component, multiline data on will keep the attributes as a single string (same part) whereas off means the output will be a list (separate parts).

  • Position
    Set the position of the part. Can be used on beams, columns and plates/slabs.

  •  Numbering
    Set the Numbering attributes for the part, as well as the Cast Unit Typeproperty of a concrete part in a cast unit that defines if the structure type of the part is precast or cast in place

    and Pour Phasepart property that defines which cast-in-place concrete parts form a pour object

    Pour phase can be used to prevent cast-in-place concrete parts from merging into one pour object.

    (the last ones take effect only on concrete objects).

  • Deforming
    Set the Deforming attributes for the part (beam type object), including Angle, Camberingdeforming that curves a part to compensate for deflection which arises due to loads on the structure

    Cambering is typically an upward curvature defined for a beam.

    , Shorteningdeforming that decreases the modeled length of a part in a drawing by a value the user has entered

    Shortening is used when the parts are manufactured shorter than modeled.

    and End offsets.
     

  •  Rebar Attributes
    Set the Name, Size, Grade, Radius, Class, Numbering attributes, Phase and User-defined attributes of the bar or bar group.

    Size and Grade are text inputs. You can also set them (and the Radius) using the Rebar Catalogcatalog that displays reinforcing bar types with a predefined bending radius and hook dimensions

    component connected to either input. Text inputs will override the Rebar Catalog input if both are used.

    User-defined attributes are input as a text string. Syntax example:

        MyStringUDA   "my user text"
        MyIntegerUDA   2
        MyFloatUDA   12.5

    Attributes that are separated with a newline like above (or alternatively with a semicolon) will be assigned to the same part. You can put attributes in a list instead to sequentially assign them to different parts. Note that if you're using a Panel component, multiline data on will keep the attributes as a single string (same part) whereas off means the output will be a list (separate parts).

  •  Hook
    Set the Hook attributes of the bar or bar group. The same hook attributes will be used for both ends.

  •  Hooks
    Set the Hook attributes of the bar or bar group. The ends can have different hooks.

  •  Cover
    Set the Cover thicknesses and offsets of the bar or bar group.

  •  Group
    Set the Spacing and Exclude attributes of the bar group. The Number of Bars input will take effect when the spacing type is Exact Number, otherwise the Spacing values are used to distribute the bars.
     

  •  Construct UDAobject property created by the user in order to widen the range of predefined object properties

    User-defined attributes are used when the predefined object properties are not sufficient but more properties are needed. For example, comment, locked, and erection status are user-defined attributes.


    Construct UDA input strings for the Part Attributes and Rebar Attributes components.

    • Inputs are the attribute name, the attribute value and the attribute type (string, int or float). Per default the attribute type is detected automatically.

    • If several attribute names and/or values are provided, the component can either combine them into a single output (for setting all attributes of the same part) or output them separately in a list (for setting different attributes or values for different parts). Right-click the component to change the output mode of the component from the context menu.

    • The component can be used to construct Attributes input for the Component component as well.

  • Create Profile
    Creates a fixed Tekla profile from a curve/outline and adds it to the Tekla Profile catalog.

    • By default, the profile origin is the center of the outline bounding boxrectangular border with the smallest measure within which all the selected points that position the model objects lie

      In Tekla Structures two-dimensional bounding boxes are used in drawings and three-dimensional bounding boxes in models.

      . Optionally you can provide your own origin point or plane (for controlling the profile rotation).

    • This component is fairly slow as it triggers all kinds of macros in Tekla Structures, and is thus not suitable for continous updating with e.g. a slider. A Data Dam component can be used at the input to control when the component/profile gets updated.
       

  • Component Input
    Create arbitrary input for Tekla plugins from Tekla objects, points and polygons. The component uses a variable parameter interface (i.e. zoom in on the component to add more inputs).

    Note that there's an element of trial and error to find the correct input sequence. Generally, the component inputs and their order must match the input sequence as picked when inserting the plugin from the Tekla Structures user interface. However sometimes the inputs and their order might differ when inserting the component from Grasshopper/Open API. For example, when inserting a plugin in Tekla Structure, the plugin might request a start point and then an end point, but some plugins then combine the points into a list of two points (while other keep them separated). This means that the Grasshopper input might need to be a list of two points connected to a single input rather than two separate point inputs.

 

Extract Components

  •  Deconstruct Beam
    Deconstruct a Beam to get its main (poly-)line, type, profile and other attributes.

  •  Deconstruct Plate or Slab
    Deconstruct a Plate to get its boundary, profile and other attributes.

  •  Deconstruct Item
    Deconstruct an Item to get its shape (as a mesh), input line, shape profile and other attributes.

  •  Deconstruct Component
    Deconstruct a Component to get its name and UI description.

  • Notes

    • Some outputs (Attributes, Position, Numbering, Deforming, Type) will only be calulated in case they are connected to another component (can be a Panel). This is to speed up computiation by avoiding extraction of unnecessary information.

      • Once the outputs have been connected, double-click the Deconstruct component to re-run it and calculate the values.

      • This means you can't preview output values by hovering the output, unless it's connected to something.

    • Right-click the input nodeanalysis model object that Tekla Structures creates at a defined point of an analysis model based on analysis part connectivity

      Tekla Structures creates nodes at ends and intersection points of analysis parts, and the corners of analysis areas.

      of an input component to open the context menu where you can set one or multiple objects or points in Tekla Structures. Grasshopper will be minimized and Tekla Structures will ask you to pick objects. Or use the Param components to reference objects from Tekla Structures.

    • If the objects that are connected to a Deconstruct component have been moved in the model, you can double-click the component to update its output. The component will also update its output anytime Rhino/Grasshopper is restarted.

  •  Expand Part Attributes
    Get access to the attributes of a Part Attributes object individually.

  •  Expand Position
    Get access to the attributes of a Position object individually.

  •  Expand Numbering Attributes
    Get access to the attributes of a Numbering Attributes object individually.

  •  Expand Deforming Attributes
    Get access to the attributes of a Deforming Attributes object individually.
     

  •  Expand UDAs
    Parse a string representing UDAs or attributes into the names, values and types of the attributes.

  • Get UDA Value
    Read the value of any UDA of any model object.

    • Inputs are the model object, the attribute name and the attribute type (string, int or float). Per default the attribute type is detected automatically.
    • If used on a Tekla component, it will return attribute values from the component instead.
       

  •  Convert to Brep
    Converts the Tekla Structures model object to a Brep in Rhino (if the object has a physical representationthe way that the information included in a model is represented visually

    that makes sense).

  •  Convert to Mesh
    Converts the Tekla Structures model object to a Mesh in Rhino (if the object has a physical representation that makes sense). This is much faster than the Convert to Brep component, but occasionally might be missing some faces if there are holes in the object.

  •  Profile Contour
    Get the outline and holes of a Tekla profile.

    • The Profile input is the profile name as a string, and can come from a panel, from the Profile Catalog component or from the profile output of a Get Beam component.

    • By befault the profile curves appears around global origo. Optionally the Plane input accepts a plane or a curve onto which the profile outline will be transformed. In case of a curve, the target plane is the plane perpendicular to the start point of the curve.

    • The Position input can be used to set the position of the profile relative to the plane origo. Use the Position component to create the input.

    • Tip: Use the Surface Split component if you want to combine the outputs to a surface with holes.

 

Tip

  • If working with concrete, disable pour management in Tekla Structures (set XS_ENABLE_POUR_MANAGEMENT to FALSE) for improved performance when modifying geometry, especially in versions before 2016.

Limitations

  • Bolts and welds cannot be inserted from Grasshopper using these components, other than as part of a Tekla component or plugin.

  • Complex shapes and surfaces from Rhino/Grasshopper can be transfered as items in Tekla Structures 2017 SP5, 2017i  SP1 or newer only. It is not possible to enable support for items in earlier Tekla versions.

Quick feedback

The feedback you give here is not visible to other users. We use your comments to improve our documentation.
We use this to prevent automated spam submissions.
Content rating: 
Average page rating: 4.5 (10 votes)
Refresh page after voting to show updated result.

Comments

by Denis Durante

Good evening,
This plugin works really well until I need to generate new models with simple elements. With simple I mean: straight beams and plane plates. I can't create curved beams without tekla discretization. Instead, if I import a dwg and then I associate a profile to it, I can. Is it possible in some way to overpass this problem? I hoped to find a way to generate "complex" beams directly (I could mean only an arch).
(With plates it is not possible to create curved plates directly in tekla, so the reason is another).

Another point is that i can't modify properties/attributes of tekla modeled elements. I can only "import" their axes to rhino and read their profile. And use this information to generate new elements. I think that working on existing elements in tekla could be really useful. Will it be possible?

An issue: when I set "Multiple elements" in tekla from "Select a Beam", it doesn't work. Only one beam selection is possible.

I hope this can be useful for further release

by Sebastian Lindholm

Hi Denis,

Sorry for the delayed response, I've been on vacation.

Curved beams are currently not supported. In general, curves will get converted to polybeams with the maximum 99 control points allowed by Tekla. There are some api limitations that makes converting a Rhino arc into a Tekla curved beam tricky. Would it be sufficient to be able to create a polybeam with 3 points and a rounded chamfer instead, if the input is an arc? It would look indistinguishable from a curved beam.

Modifying model objects that aren't generated in Grasshopper is a good idea, we will consider how this could be implemented.

So when you right-click the beam input and click "Select Multiple Tekla.Structures.Model.ModelObjects/Beams" you mean you can't select more than one beam in Tekla Structures? I'm not able to reproduce this. Perhaps you could post some pictures/video showing the problem or similar on the Extensions forum (https://forum.tekla.com/index.php?/forum/281-tekla-extensions/) to see if we can help you there.

Cheers

by Oana Catuna

Hello,

I have an issue after installing the plugin for Tekla version 21.1. The Tekla tab that should appear in Grasshopper is not there. I have unblocked the files and followed the specific steps described.

The plugin for Tekla versions 2016 and 21.0 works without any issues.

Is there any solution for this?

by Sebastian Lindholm

Hi Oana,

The 211.0.2 version initially released on Warehouse had some problems. The issue was reported and updated approx one month ago. If you got hold of that initial release please re-download and re-install the components.

Other than that it sounds strange if 21.0 and 2016 works but not 21.1. Are there any error messages when launching Rhino/Grasshopper? Only reasons I've encountered for the tab not showing up are (1) file blocked (2) mismatch between the downloaded link version and the installed Tekla Structures verison. So double-check that you've downloaded the right link version and - sorry for this - that you've got Tekla 21.1 installed on the same system.

Cheers,

Sebastian

by Tim Messer

I am having problems with component 1042, should I use the column as the main element and tekla points for hte points part of the component?

by Sebastian Lindholm

Hi Tim,

The inputs sound fine. You might experience problems since the detail type gets set to "intermediate" rather than "end". For some reason you can't set the detail type directly using attributes, but you can try adding the attribute "zsuunta" and set it to e.g. 0 (using the Attributes input of the GH component). That seems to change the detail type as well.

I'd recommend posting on the Extensions forum (https://forum.tekla.com/index.php?/forum/281-tekla-extensions/) If you'd like to continue the discussion.

Cheers

Sebastian

by Claudio Demattia

Good morning, I'm trying to model the slab concrete of a curved bridge. I created the capped brep, but I can not traform it into item element of Tekla. Where am I wrong?

by Sebastian Lindholm

Hi Claudio,

Could be a number of reasons... Is the brep closed? Does it have self-intersections? You can try to mesh and simplify it in Rhio/GH before sending it to the Item component and see if that helps.

If you'd like someone to look into this, maybe you can post the question with a sample definition on the extensions forum: https://forum.tekla.com/index.php?/forum/281-tekla-extensions/

Cheers,

Sebastian

by Dennis Nelson

Are you going to add imperial support? Having to converting profiles over to metric isn't efficient.

by Sebastian Lindholm

Hi Dennis, if you're working in an imperial Tekla environment you can use the imperial profiles as input straight from Grasshopper. It's just the point/line etc inputs that would need to be scaled e.g. with the Scale component. If there are issues with the profiles that I'm not aware of please post them in the extension forum so we can take those into consideration for future planning/support:
https://forum.tekla.com/index.php?/forum/281-tekla-extensions/

Pages